<ion-content [fullscreen]="true" [scrollEvents]="true" (ionScroll)="logScrolling($event)">
  <div id="container">

    <div class="container mx-auto max-w-screen-xl mt-28 pb-10 px-3 md:px-0" [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'">
      <div class="flex flex-wrap items-center capitalize" style="color: #707070;" *ngIf="!search">
        <a routerLink="/home" class="hover:text-black">Trang chủ&nbsp; </a>
        <ion-icon name="chevron-forward-outline"> </ion-icon>
        <a [ngClass]="categoryAll ? 'text-black' : ''" routerLink="/category/all">&nbsp;Sản phẩm&nbsp;</a>
          <div *ngIf="dataCat?.parent?.name">
            <ion-icon name="chevron-forward-outline"> </ion-icon>
            <a [routerLink]="'/category/' + dataCat?.parent?.id"> &nbsp;{{dataCat?.parent?.name}}&nbsp;</a>
          </div>
          <div *ngIf="!categoryAll">
            <ion-icon name="chevron-forward-outline"> </ion-icon>
            <a class="text-black"> &nbsp;{{dataCat?.name}}&nbsp;</a>
          </div>
      </div>
      <div class="pb-10" style="min-height: 20rem;">
        <div *ngIf="search">
          <div class="text-center text-3xl md:text-4xl font-medium" text-center>Tìm Kiếm</div>
          <div class="text-lg text-center mt-4 mb-8">
            <span>Có {{ totalProduct }} sản phẩm cho tìm kiếm</span>
          </div>
          <div class="text-center text-3xl md:text-4xl font-medium mb-8" text-center>Sản Phẩm</div>

          <div class="grid md:grid-cols-4 grid-cols-4 gap-4 md:gap-8 mt-3" *ngIf="dataProduct?.length>0">
            <div class="col-span-2 md:col-span-1" *ngFor="let item of dataProduct  | paginate: { currentPage: config.currentPage, itemsPerPage: itemsPerPage, totalItems: totalItems }">
              <div class="w-full h-full relative">
                <div class=" w-full h-full shadow-none cursor-pointer rounded-none overflow-hidden px-1 flex flex-col content-between">
                  <div class="product justify-center relative">
                    <a class="z-20 bg-gray-800 md:h-72 h-40  block w-full absolute opacity-0"
                    (mouseover)='over(item)' (mouseout)='out()' [routerLink]="'/product-detail/'+item.product.id">
                    </a>
                    <!-- <div class="z-10 absolute  rounded-md" [innerHTML]="item.product.video | safe:'html'" (click)="popupVideo(item.product)"
                        *ngIf="item.product.video">
                    </div> -->
                    <!-- <a (click)="popupVideo(item.product)" class="z-20" *ngIf="!item.product.video">
                      <img class="object-cover md:h-72 h-40 w-full rounded-md" [src]="item.product.thumbnail"
                        [alt]="item.product.id">
                    </a> -->

                    <!-- Chạy GIF -->
                    <div class="md:h-72 h-40 w-full z-10 absolute  rounded-md" *ngIf="item.product.gifFile && showGIF(item)">
                      <img [src]="item.product.gifFile" alt="" class="p-0 md:h-72 h-40 rounded-md">
                    </div>

                    <!-- Chạy ảnh tự động -->
                    <div class="md:h-72 h-40 w-full z-10 absolute  rounded-md" *ngIf="!item.product.gifFile && showProductList(item)">  
                      <!-- <img src="/assets/image/bachtuot.gif" alt="" class="p-0 md:h-72 rounded-md"> -->
                      <div class="w-full relative" *ngIf="item.product?.productImage?.length > 1">
                        <owl-carousel-o [options]="productOptions" #owlCar>
                          <ng-container *ngFor="let slide of item?.product?.productImage ">
                            <ng-template carouselSlide [id]="slide.id">
                              <div>
                                <img [src]="slide.image" [alt]="slide.id" class="md:h-72 h-40 object-cover w-full rounded-md">
                              </div>
                            </ng-template>
                          </ng-container>
                        </owl-carousel-o>
                      </div>
                    </div>

                    <!-- tag -->
                    <div class="absolute right-2 top-2 text-right z-30" *ngIf="item.product.tagImage"> 
                      <img class="object-cover h-7 md:h-10" [src]="item.product.tagImage" alt=''>
                    </div>
                    <a  class="z-20" *ngIf="!item.product.gif || !showGIF(item)" (mouseover)='over(item)' (mouseout)='out()' [routerLink]="'/product-detail/'+item.product.id">
                      <img class="object-cover md:h-72 h-40 w-full rounded-md" [src]="item.product.thumbnail ? item.product.thumbnail : 'assets/image/hshg-2.png'"
                       [alt]="item.product.id">
                    </a>
                  </div>
                  <div [ngClass]="(item.product.gif && showGIF(item)) ? 'md:mt-72 mt-40' : 'mt-0'" class="h-full">
                    <p class="font-medium md:pt-1 text-lg md:text-2xl truncate-2-line" [routerLink]="'/product-detail/'+item.product.id">{{item.product.name}}</p>
                    <div [innerHTML]="item?.product?.descriptions[0]?.description ? item?.product?.descriptions[0]?.description : '' | safe:'html'"
                      class="ck ck-content ck-editor__editable ck-rounded-corners ck-editor__editable_inline ck-blurred truncate-2-line 
                      overflow-hidden text-sm text-gray-400 cursor-text">
                    </div>
                  </div>

                  <div class="mt-2 md:flex block items-center">
                    <div>
                      <span class=" md:text-xl font-bold text-base cursor-text" style="color: #FF413E;">{{ item.product.price |
                        number: '0.0-1':'vi'}}đ 
                      </span>
                    </div>
                    
                      <div class="flex justify-between items-end w-full md:ml-2">
                        <span class="line-through font-medium " style="color: #717171; font-size: 16px; text-decoration-thickness: 1px;" *ngIf="item.product.advertisingPrice">
                           {{item.product.advertisingPrice | number: '0.0-1':'vi'}}đ
                        </span>
                        <div class="text-white px-2 py-1 md:text-sm text-xs rounded-lg" style="background-color: var(--color-red);" *ngIf="item.product.advertisingPrice">
                          -{{((item.product.advertisingPrice - item.product.price)/item.product.advertisingPrice)*100  | number:
                              '1.0-0'}}%
                        </div>
                      </div>
                  </div>
                  <div class="my-2 grid grid-cols-5 gap-2 md:gap-4">
                    <div class="col-span-5 md:col-span-2">
                      <button mat-raised-button type="button" class="w-full flex items-center justify-items-center"
                        (click)="addToCart(item.product)">
                        <mat-icon class="text-lg mb-1">
                          shopping_cart
                        </mat-icon>
                      </button>
                    </div>
                    <div class="col-span-5 md:col-span-3">
                      <button mat-raised-button type="button" class="w-full" [routerLink]="'/product-detail/'+item.product.id">
                        Mua ngay
                      </button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div  *ngIf="dataProduct?.length==0">

          </div>
        </div>
        
        <div *ngIf="!search">
          <div *ngIf="dataCat && !categoryAll" class="pb-5 pt-8 md:pt-0">
            <div class="text-center text-3xl md:text-4xl font-medium">
              {{dataCat.name}}
            </div>
          </div>
          <div *ngIf="categoryAll && !dataCat" class="pb-5 pt-8 md:pt-10">
            <div class="text-center text-3xl md:text-4xl font-medium">
              Sản Phẩm
            </div>
          </div>
          <div>
            <mat-tab-group mat-align-tabs="center" class="mt-1" dynamicHeight animationDuration="0ms"
              (selectedTabChange)="onTabChanged($event)" *ngIf="dataCat?.level == 0 || categoryAll">
              <mat-tab [label]="all" class="font-medium" >
                <div class="grid md:grid-cols-4 grid-cols-4 gap-4 md:gap-8 mt-3" *ngIf="dataProduct?.length>0">
                  <div class="col-span-2 md:col-span-1" *ngFor="let item of dataProduct  | paginate: { currentPage: config.currentPage, itemsPerPage: itemsPerPage, totalItems: totalItems }">
                    <div class="w-full h-full relative">
                      <div class=" w-full h-full shadow-none cursor-pointer rounded-none overflow-hidden px-1 flex flex-col content-between">
                        <div class="product justify-center relative">
                          <a class="z-20 bg-gray-800 md:h-72 h-40  block w-full absolute opacity-0"
                          (mouseover)='over(item)' (mouseout)='out()' [routerLink]="'/product-detail/'+item.product.id">
                          </a>
                          <!-- <div class="z-10 absolute  rounded-md" [innerHTML]="item.product.video | safe:'html'" (click)="popupVideo(item.product)"
                              *ngIf="item.product.video">
                          </div> -->
                          <!-- <a (click)="popupVideo(item.product)" class="z-20" *ngIf="!item.product.video">
                            <img class="object-cover md:h-72 h-40 w-full rounded-md" [src]="item.product.thumbnail"
                              [alt]="item.product.id">
                          </a> -->
      
                          <!-- Chạy GIF -->
                          <div class="md:h-72 h-40 w-full z-10 absolute  rounded-md" *ngIf="item.product.gifFile && showGIF(item)">
                            <img [src]="item.product.gifFile" alt="" class="p-0 md:h-72 h-40 rounded-md">
                          </div>
      
                          <!-- Chạy ảnh tự động -->
                          <div class="md:h-72 h-40 w-full z-10 absolute  rounded-md" *ngIf="!item.product.gifFile && showProductList(item)">  
                            <!-- <img src="/assets/image/bachtuot.gif" alt="" class="p-0 md:h-72 rounded-md"> -->
                            <div class="w-full relative" *ngIf="item.product?.productImage?.length > 1">
                              <owl-carousel-o [options]="productOptions" #owlCar>
                                <ng-container *ngFor="let slide of item?.product?.productImage ">
                                  <ng-template carouselSlide [id]="slide.id">
                                    <div>
                                      <img [src]="slide.image" [alt]="slide.id" class="md:h-72 h-40 object-cover w-full rounded-md">
                                    </div>
                                  </ng-template>
                                </ng-container>
                              </owl-carousel-o>
                            </div>
                          </div>
      
                          <!-- tag -->
                          <div class="absolute right-2 top-2 text-right z-30" *ngIf="item.product.tagImage"> 
                            <img class="object-cover h-7 md:h-10" [src]="item.product.tagImage" alt=''>
                          </div>
                          <a  class="z-20" *ngIf="!item.product.gif || !showGIF(item)" (mouseover)='over(item)' (mouseout)='out()' [routerLink]="'/product-detail/'+item.product.id">
                            <img class="object-cover md:h-72 h-40 w-full rounded-md" [src]="item.product.thumbnail ? item.product.thumbnail : 'assets/image/hshg-2.png'" [alt]="item.product.id">
                          </a>
                        </div>
                        <div [ngClass]="(item.product.gif && showGIF(item)) ? 'md:mt-72 mt-40' : 'mt-0'" class="h-full">
                          <p class="font-medium md:pt-1 text-lg md:text-2xl truncate-2-line" [routerLink]="'/product-detail/'+item.product.id">{{item.product.name}}</p>
                          <div [innerHTML]="item?.product?.descriptions[0]?.description ? item?.product?.descriptions[0]?.description : '' | safe:'html'"
                            class="ck ck-content ck-editor__editable ck-rounded-corners ck-editor__editable_inline ck-blurred truncate-2-line 
                            overflow-hidden text-sm text-gray-400 cursor-text">
                          </div>
                        </div>
      
                        <div class="mt-2 md:flex block items-center">
                          <div>
                            <span class=" md:text-xl font-bold text-base cursor-text" style="color: #FF413E;">{{ item.product.price |
                              number: '0.0-1':'vi'}}đ 
                            </span>
                          </div>
                          
                            <div class="flex justify-between items-end w-full md:ml-2">
                              <span class="line-through font-medium " style="color: #717171; font-size: 16px; text-decoration-thickness: 1px;" *ngIf="item.product.advertisingPrice">
                                 {{item.product.advertisingPrice | number: '0.0-1':'vi'}}đ
                              </span>
                              <div class="text-white px-2 py-1 md:text-sm text-xs rounded-lg" style="background-color: var(--color-red);" *ngIf="item.product.advertisingPrice">
                                -{{((item.product.advertisingPrice - item.product.price)/item.product.advertisingPrice)*100  | number:
                                    '1.0-0'}}%
                              </div>
                            </div>
                        </div>
                        <div class="my-2 grid grid-cols-5 gap-2 md:gap-4">
                          <div class="col-span-5 md:col-span-2">
                            <button mat-raised-button type="button" class="w-full flex items-center justify-items-center"
                              (click)="addToCart(item.product)">
                              <mat-icon class="text-lg mb-1">
                                shopping_cart
                              </mat-icon>
                            </button>
                          </div>
                          <div class="col-span-5 md:col-span-3">
                            <button mat-raised-button type="button" class="w-full" [routerLink]="'/product-detail/'+item.product.id">
                              Mua ngay
                            </button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </mat-tab>
              <mat-tab *ngFor="let sub of subCategory" [label]="sub?.node?.name" class="font-medium">
                <div class="grid md:grid-cols-4 grid-cols-4 gap-4 md:gap-8 mt-3" *ngIf="dataProduct?.length>0">
                  <div class="col-span-2 md:col-span-1" *ngFor="let item of dataProduct  | paginate: { currentPage: config.currentPage, itemsPerPage: itemsPerPage, totalItems: totalItems }">
                    <div class="w-full h-full relative">
                      <div class=" w-full h-full shadow-none cursor-pointer rounded-none overflow-hidden px-1 flex flex-col content-between">
                        <div class="product justify-center relative">
                          <a class="z-20 bg-gray-800 md:h-72 h-40  block w-full absolute opacity-0"
                          (mouseover)='over(item)' (mouseout)='out()' [routerLink]="'/product-detail/'+item.product.id">
                          </a>
                          <!-- <div class="z-10 absolute  rounded-md" [innerHTML]="item.product.video | safe:'html'" (click)="popupVideo(item.product)"
                              *ngIf="item.product.video">
                          </div> -->
                          <!-- <a (click)="popupVideo(item.product)" class="z-20" *ngIf="!item.product.video">
                            <img class="object-cover md:h-72 h-40 w-full rounded-md" [src]="item.product.thumbnail"
                              [alt]="item.product.id">
                          </a> -->
      
                          <!-- Chạy GIF -->
                          <div class="md:h-72 h-40 w-full z-10 absolute  rounded-md" *ngIf="item.product.gifFile && showGIF(item)">
                            <img [src]="item.product.gifFile" alt="" class="p-0 md:h-72 h-40 rounded-md">
                          </div>
      
                          <!-- Chạy ảnh tự động -->
                          <div class="md:h-72 h-40 w-full z-10 absolute  rounded-md" *ngIf="!item.product.gifFile && showProductList(item)">  
                            <!-- <img src="/assets/image/bachtuot.gif" alt="" class="p-0 md:h-72 rounded-md"> -->
                            <div class="w-full relative" *ngIf="item.product?.productImage?.length > 1">
                              <owl-carousel-o [options]="productOptions" #owlCar>
                                <ng-container *ngFor="let slide of item?.product?.productImage ">
                                  <ng-template carouselSlide [id]="slide.id">
                                    <div>
                                      <img [src]="slide.image" [alt]="slide.id" class="md:h-72 h-40 object-cover w-full rounded-md">
                                    </div>
                                  </ng-template>
                                </ng-container>
                              </owl-carousel-o>
                            </div>
                          </div>
      
                          <!-- tag -->
                          <div class="absolute right-2 top-2 text-right z-30" *ngIf="item.product.tagImage"> 
                            <img class="object-cover h-7 md:h-10" [src]="item.product.tagImage" alt=''>
                          </div>
                          <a  class="z-20" *ngIf="!item.product.gif || !showGIF(item)" (mouseover)='over(item)' (mouseout)='out()' [routerLink]="'/product-detail/'+item.product.id">
                            <img class="object-cover md:h-72 h-40 w-full rounded-md" [src]="item.product.thumbnail ? item.product.thumbnail : 'assets/image/hshg-2.png'" [alt]="item.product.id">
                          </a>
                        </div>
                        <div [ngClass]="(item.product.gif && showGIF(item)) ? 'md:mt-72 mt-40' : 'mt-0'" class="h-full">
                          <p class="font-medium md:pt-1 text-lg md:text-2xl truncate-2-line" [routerLink]="'/product-detail/'+item.product.id">{{item.product.name}}</p>
                          <div [innerHTML]="item?.product?.descriptions[0]?.description ? item?.product?.descriptions[0]?.description : '' | safe:'html'"
                            class="ck ck-content ck-editor__editable ck-rounded-corners ck-editor__editable_inline ck-blurred truncate-2-line 
                            overflow-hidden text-sm text-gray-400 cursor-text">
                          </div>
                        </div>
      
                        <div class="mt-2 md:flex block items-center">
                          <div>
                            <span class=" md:text-xl font-bold text-base cursor-text" style="color: #FF413E;">{{ item.product.price |
                              number: '0.0-1':'vi'}}đ 
                            </span>
                          </div>
                          
                            <div class="flex justify-between items-end w-full md:ml-2">
                              <span class="line-through font-medium " style="color: #717171; font-size: 16px; text-decoration-thickness: 1px;" *ngIf="item.product.advertisingPrice">
                                 {{item.product.advertisingPrice | number: '0.0-1':'vi'}}đ
                              </span>
                              <div class="text-white px-2 py-1 md:text-sm text-xs rounded-lg" style="background-color: var(--color-red);" *ngIf="item.product.advertisingPrice">
                                -{{((item.product.advertisingPrice - item.product.price)/item.product.advertisingPrice)*100  | number:
                                    '1.0-0'}}%
                              </div>
                            </div>
                        </div>
                        <div class="my-2 grid grid-cols-5 gap-2 md:gap-4">
                          <div class="col-span-5 md:col-span-2">
                            <button mat-raised-button type="button" class="w-full flex items-center justify-items-center"
                              (click)="addToCart(item.product)">
                              <mat-icon class="text-lg mb-1">
                                shopping_cart
                              </mat-icon>
                            </button>
                          </div>
                          <div class="col-span-5 md:col-span-3">
                            <button mat-raised-button type="button" class="w-full" [routerLink]="'/product-detail/'+item.product.id">
                              Mua ngay
                            </button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </mat-tab>
            </mat-tab-group>
            <div class="grid md:grid-cols-4 grid-cols-4 gap-4 md:gap-8 mt-3" *ngIf="dataCat?.level == 1 && dataProduct?.length>0" >
              <div class="col-span-2 md:col-span-1" *ngFor="let item of dataProduct  | paginate: { currentPage: config.currentPage, itemsPerPage: itemsPerPage, totalItems: totalItems }">
                <div class="w-full h-full relative">
                  <div class=" w-full h-full shadow-none cursor-pointer rounded-none overflow-hidden px-1 flex flex-col content-between">
                    <div class="product justify-center relative">
                      <a class="z-20 bg-gray-800 md:h-72 h-40  block w-full absolute opacity-0"
                      (mouseover)='over(item)' (mouseout)='out()' [routerLink]="'/product-detail/'+item.product.id">
                      </a>
                      <!-- <div class="z-10 absolute  rounded-md" [innerHTML]="item.product.video | safe:'html'" (click)="popupVideo(item.product)"
                          *ngIf="item.product.video">
                      </div> -->
                      <!-- <a (click)="popupVideo(item.product)" class="z-20" *ngIf="!item.product.video">
                        <img class="object-cover md:h-72 h-40 w-full rounded-md" [src]="item.product.thumbnail"
                          [alt]="item.product.id">
                      </a> -->
  
                      <!-- Chạy GIF -->
                      <div class="md:h-72 h-40 w-full z-10 absolute  rounded-md" *ngIf="item.product.gifFile && showGIF(item)">
                        <img [src]="item.product.gifFile" alt="" class="p-0 md:h-72 h-40 rounded-md">
                      </div>
  
                      <!-- Chạy ảnh tự động -->
                      <div class="md:h-72 h-40 w-full z-10 absolute  rounded-md" *ngIf="!item.product.gifFile && showProductList(item)">  
                        <!-- <img src="/assets/image/bachtuot.gif" alt="" class="p-0 md:h-72 rounded-md"> -->
                        <div class="w-full relative" *ngIf="item.product?.productImage?.length > 1">
                          <owl-carousel-o [options]="productOptions" #owlCar>
                            <ng-container *ngFor="let slide of item?.product?.productImage ">
                              <ng-template carouselSlide [id]="slide.id">
                                <div>
                                  <img [src]="slide.image" [alt]="slide.id" class="md:h-72 h-40 object-cover w-full rounded-md">
                                </div>
                              </ng-template>
                            </ng-container>
                          </owl-carousel-o>
                        </div>
                      </div>
  
                      <!-- tag -->
                      <div class="absolute right-2 top-2 text-right z-30" *ngIf="item.product.tagImage"> 
                        <img class="object-cover h-7 md:h-10" [src]="item.product.tagImage" alt=''>
                      </div>
                      <a  class="z-20" *ngIf="!item.product.gif || !showGIF(item)" (mouseover)='over(item)' (mouseout)='out()' [routerLink]="'/product-detail/'+item.product.id">
                        <img class="object-cover md:h-72 h-40 w-full rounded-md" [src]="item.product.thumbnail ? item.product.thumbnail : 'assets/image/hshg-2.png'" [alt]="item.product.id">
                      </a> 
                    </div>
                    <div [ngClass]="(item.product.gif && showGIF(item)) ? 'md:mt-72 mt-40' : 'mt-0'" class="h-full">
                      <p class="font-medium md:pt-1 text-lg md:text-2xl truncate-2-line" [routerLink]="'/product-detail/'+item.product.id">{{item.product.name}}</p>
                      <div [innerHTML]="item?.product?.descriptions[0]?.description ? item?.product?.descriptions[0]?.description : '' | safe:'html'"
                        class="ck ck-content ck-editor__editable ck-rounded-corners ck-editor__editable_inline ck-blurred truncate-2-line 
                        overflow-hidden text-sm text-gray-400 cursor-text">
                      </div>
                    </div>
  
                    <div class="mt-2 md:flex block items-center">
                      <div>
                        <span class=" md:text-xl font-bold text-base cursor-text" style="color: #FF413E;">{{ item.product.price |
                          number: '0.0-1':'vi'}}đ 
                        </span>
                      </div>
                      
                        <div class="flex justify-between items-end w-full md:ml-2">
                          <span class="line-through font-medium " style="color: #717171; font-size: 16px; text-decoration-thickness: 1px;" *ngIf="item.product.advertisingPrice">
                             {{item.product.advertisingPrice | number: '0.0-1':'vi'}}đ
                          </span>
                          <div class="text-white px-2 py-1 md:text-sm text-xs rounded-lg" style="background-color: var(--color-red);" *ngIf="item.product.advertisingPrice">
                            -{{((item.product.advertisingPrice - item.product.price)/item.product.advertisingPrice)*100  | number:
                                '1.0-0'}}%
                          </div>
                        </div>
                    </div>
                    <div class="my-2 grid grid-cols-5 gap-2 md:gap-4">
                      <div class="col-span-5 md:col-span-2">
                        <button mat-raised-button type="button" class="w-full flex items-center justify-items-center"
                          (click)="addToCart(item.product)">
                          <mat-icon class="text-lg mb-1">
                            shopping_cart
                          </mat-icon>
                        </button>
                      </div>
                      <div class="col-span-5 md:col-span-3">
                        <button mat-raised-button type="button" class="w-full" [routerLink]="'/product-detail/'+item.product.id">
                          Mua ngay
                        </button>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <pagination-controls class="text-center" nextLabel="" autoHide="true" previousLabel=""
        (pageChange)="pageChanged($event)" directionLinks="true" maxSize="5"></pagination-controls>
    </div>
  </div>
  <app-footer></app-footer>
  <div>
    <button  *ngIf="isShowBackToTop" class="fixed  right-12 md:bottom-4 md:right-28 z-50 w-10 h-10 md:w-12 md:h-12 rounded-full bg-main text-white" (click)="scrollToTop()"
          style="border: 1px solid whitesmoke" [ngClass]="cartItemsNo>0 ? 'bottom-28' : 'bottom-16'">
          <mat-icon class="pt-1" matTooltip="Trở về đầu trang">keyboard_arrow_up</mat-icon>
    </button>
  </div>
</ion-content>